libxml2

Loading...
Searching...
No Matches
Functions
xpointer.h File Reference

XPointer framework and schemes. More...

## Functions
xmlXPathContext * | xmlXPtrNewContext (xmlDoc *doc, xmlNode *here, xmlNode *origin)
| Create a new XPointer context.
xmlXPathObject * | xmlXPtrEval (const xmlChar *str, xmlXPathContext *ctx)
| Evaluate an XPointer expression.

## Detailed Description

XPointer framework and schemes.

API to evaluate XPointer expressions. The following schemes are supported:

- element()
- xmlns()
- xpath1()

xpointer() is an alias for the xpath1() scheme. The point and range extensions are not supported.

Copyright
  See Copyright for the status of this software.

Author
  Daniel Veillard

## Function Documentation

## ◆ xmlXPtrEval()

xmlXPathObject * xmlXPtrEval | ( | const xmlChar * | str,
|  | xmlXPathContext * | ctx )

Evaluate an XPointer expression.

This function can only return nodesets. The caller has to free the object.

Parameters

  str | an XPointer expression
  ctx | an XPath context

Returns
  the xmlXPathObject resulting from the evaluation or NULL in case of error.

## ◆ xmlXPtrNewContext()

xmlXPathContext * xmlXPtrNewContext | ( | xmlDoc * | doc,
|  | xmlNode * | here,
|  | xmlNode * | origin )

Create a new XPointer context.

Deprecated
  Same as xmlXPathNewContext.

Parameters

  doc | the XML document
  here | unused
  origin | unused

Returns
  the xmlXPathContext just allocated.